Łata dla OpenOffice
admin - styczeń 05 2007 23:56:13 - 2955 wyświetleń - Drukuj
Twórcy opensource'owego pakietu biurowego OpenOffice udostępnili poprawkę do krytycznej luki, która występuje podczas przetwarzania dokumentów ze specjalnie spreparowanymi grafikami .WMF i.EMF.
Dziurę można wykorzystać do zainstalowania szkodliwego kodu na zaatakowanym komputerze.

Problem powodowany jest przez przepełnienie bufora w funkcjach EnhWMFReader::ReadEnhWMF oraz WMFReader::ReadRecordParams.

Aby atak był skuteczny, potencjalna ofiara musi otworzyć spreparowany dokument.

Opublikowana poprawka łata dziurę w wersji 1.1.5 OpenOffice. Z dostępnych informacji wynika jednak, że błąd występuje też w wersji 2.0.4, nie ma go natomiast w nowo udostępnionej 2.1.

Red Hat uznał lukę za krytyczną i zaleca natychmiastowe zastosowanie poprawki dla wersji 1.1.2, która jest rozprowadzana wraz z systemem operacyjnym tej firmy.

Źródło informacji: arcabit.pl
 
• Home
• Forum
• Artykuły
• Download
• Galeria
• Kontakt
• Encyklopedia hackingu
• Zabawa w szkole
• Adres IP dla początk...
• Jak hackować aby nie...
• Wybrane art. Kodeksu...
• Łamanie (hasła) z pl...
• Encyklopedia hacking...
• phpBB 2.x admin_hack...
• Programy do łamania ...
Jakiego systemu operacyjnego używasz?

• Windows [3173]
   
• Linux [2528]
   
• FreeBSD [2160]
   
• Solaris [1]
   
• Unix [2056]
   
• Mac OS [2276]
   
>• AmigaOS [2159]
   
• Problem z polskimi z... ~Tomahawk
• Parse error przy prz... ~mateusz
• problem z avatarami ~Filu
• mam phpbb daro ustaw... ~whitew
• Wyłączona rejestracj... ~Ksebki
• Programy do łamania hase... ~admin
• Łamanie (hasła) z pliku ... ~admin
• Adres IP dla początkując... ~admin
• Jak hackować aby nie wpa... ~admin
• Encyklopedia hackingu ~admin
windows 7 forum
żylaki
tatuaże
ahnenforschung in schlesien


(c) 2006 Wszelkie prawa zastrzezone.
testy | download | galeria | linki